package com.ytpm.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Bean属性变化比较工具类
 * 用于比较两个相同类型实体中被@BeanChange注解标记的属性变化
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface BeanChange {

    /**
     * 属性中文名称
     */
    String name();

    /**
     * 日期格式化格式
     */
    String dateFormat() default "yyyy-MM-dd HH:mm:ss";

    /**
     * 是否忽略
     */
    boolean ifIgnored() default false;

    /**
     * 是否值
     */
    boolean ifYesNo() default false;
}
